2011-04-08  Atsushi Eno  <atsushi@ximian.com>

	Implement 4.0 WebOperationContext.Create[Atom10|Json]Response()
	methods.

2011-03-08  Atsushi Eno  <atsushi@ximian.com>

	More xml output fixes in XmlSyndicationContent and
	SydicationElementExtension.

	They have couple of complicated xml outputs in both
	GetReader(AtContent) and Write(Contents)To methods... check new
	tests for details.

2011-03-08  Atsushi Eno  <atsushi@ximian.com>

	Couple of fixes around XmlSyndicationContent.GetReaderAtContent().

	- The returned XmlReader is positioned at the beginning of the
	element. - XmlSyndicationContent.GetReaderAtContent() returns
	XmlReader that begins with the "wrapper" which is dummy Atom 1.0
	content element.

2010-06-18  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20ItemFormatter.cs : enabled DateTimeOffset parsing.
	  Fixed bug #615332, patch by Carlos Martin.

2010-06-16  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs : Fix reading of "source" element to not
	  expect feed element (ReadFrom() expects it). Fixed bug #614596.

2010-06-07  Carlos Martin Nieto  <carlos@cmartin.tk>

	* Rss20ItemFormatter.cs: Don't assume guids are permalinks

2009-12-01  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs, Atom10FeedFormatter.cs :
	  write extensions. Patch by Tom Philpot.

2009-10-16  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20FeedFormatter.cs, Rss20ItemFormatter.cs : handle other text
	  nodes than text (cdata, whitespaces etc.) and make sure to proceed
	  the reader when they are skipped. Fixed bug #546965 and #546959.

2009-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationVersions.cs :
	  Handle atom feed as well. Patch by David Mitchell.

2009-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationElementExtension.cs : give OuterName and OuterNamespace
	  for extensions with .ctor(XmlReader).

2009-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10FeedFormatter.cs : do not use Atom10ItemFormatter(item)
	  at ReadItem(). It is only for writing. Patch by David Mitchell.

2009-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs : enable XmlConvert.ToDateTimeOffset(),
	  patch by David Mitchell.

2009-09-15  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationElementExtension.cs : make it ready for 2.1 build.

2009-09-07  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20FeedFormatter.cs, CategoriesDocument.cs,
	  AtomPub10ServiceDocumentFormatter_1.cs,
	  AtomPub10CategoriesDocumentFormatter.cs,
	  AtomPub10ServiceDocumentFormatter.cs : a couple of corcompare fixes.

2009-04-15  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceDocument.cs : remove Utility class. It is not precise
	  implementation to write extensions.
	* ServiceDocumentFormatter.cs : virtual extension writer methods
	  should call possibly overriden Write[Element/Attribute]Extensions()
	  in possibly derived document item classes.
	  Implemented LoadElementExtensions().
	* AtomPub10CategoriesDocumentFormatter.cs,
	  AtomPub10ServiceDocumentFormatter.cs : Implemented GetSchema().

2009-04-06  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceDocumentFormatter.cs
	  Workspace.cs
	  Atom10FeedFormatter.cs
	  AtomPub10ServiceDocumentFormatter.cs
	  ResourceCollectionInfo.cs
	  CategoriesDocument.cs
	  ServiceDocument.cs : implemented most of reader parts.

2009-04-06  Atsushi Enomoto  <atsushi@ximian.com>

	* Workspace.cs, ResourceCollectionInfo.cs,
	  CategoriesDocument.cs, ServiceDocument.cs : use common internal
	  SyndicationExtension class for extensions.

2009-04-06  Atsushi Enomoto  <atsushi@ximian.com>

	* AtomPub10CategoriesDocumentFormatter.cs, Atom10FeedFormatter.cs,
	  CategoriesDocument.cs : ongoing implementation (handle categories).

2009-04-03  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceDocumentFormatter.cs
	  Workspace.cs
	  AtomPub10ServiceDocumentFormatter.cs
	  ResourceCollectionInfo.cs
	  CategoriesDocument.cs
	  ServiceDocument.cs : ongoing implementation.

2009-04-03  Atsushi Enomoto  <atsushi@ximian.com>

	* ServiceDocumentFormatter.cs
	  InlineCategoriesDocument.cs
	  AtomPub10ServiceDocumentFormatter_1.cs
	  Workspace.cs
	  AtomPub10CategoriesDocumentFormatter.cs
	  ReferencedCategoriesDocument.cs
	  CategoriesDocumentFormatter.cs
	  AtomPub10ServiceDocumentFormatter.cs
	  ResourceCollectionInfo.cs
	  CategoriesDocument.cs
	  ServiceDocument.cs : stubs (new in 3.5 SP1).

2008-04-10  Eyal Alaluf <eyala@mainsoft.com>

	* SyndicationElementExtension.cs: XmlObjectSerializer.ReadObject now
	  verifies by default. Disabled explicitly the verification in GetObject.

2007-12-18  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationElementExtensionCollection.cs, Atom10FeedFormatter.cs,
	  Atom10ItemFormatter.cs, Rss20FeedFormatter.cs : warning cleanup.
	* SyndicationItem.cs : implemented TryParseContent().
	* Atom10ItemFormatter.cs : read Content.
	* Rss20ItemFormatter.cs : Handle Atom 1.0 extension elements.
	  Fixed ReadSourceFeed() that should read <source> in its own way.

2007-12-18  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs : changes in extension attribute handling:
	  TryParseAttribute() should be called regardless of
	  PreserveExtensionAttributes.
	* SyndicationFeedFormatter.cs, SyndicationItemFormatter.cs :
	  implemented ToString().
	* Rss20FeedFormatter.cs : strictly require <channel> under <rss>.

2007-12-18  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs : implemented read methods and GetSchema().

2007-12-18  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationFeedFormatter.cs : implemented LoadElementExtensions().
	* Rss20FeedFormatter.cs : implemented read methods and GetSchema().
	  PreserveElementExtensions and PreserveAttributeExtensions are
	  true by default.
	* Rss20ItemFormatter.cs : filter xmlns attributes out.

2007-12-18  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationElementExtensionCollection.cs :
	  every Add() caused infinite loop.
	* SyndicationFeed.cs, SyndicationItem.cs : Implemented Load() and [*1]
	* SyndicationLink.cs : int set_Length() argument check was wrong. [*1]
	* SyndicationCategory.cs, SyndicationPerson.cs : [*1]
	* SyndicationItemFormatter.cs : Implemented LoadElementExtensions().
	* SyndicationVersions.cs : added SyndicationItem.Load<T>() and
	  SyndicationFeed<T>() implementation.
	* Atom10ItemFormatter.cs : [*2]
	* Rss20ItemFormatter.cs : implemented read methods. [*2]
	[*1] Implemented TryParseElement and TryParseAttribute.
	[*2] PreserveElementExtensions and PreserveAttributeExtensions are
	     true by default.

2007-12-17  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10FeedFormatter_1.cs, Atom10ItemFormatter_1.cs,
	  Rss20FeedFormatter_1.cs, Rss20ItemFormatter_1.cs : implemented.
	* Atom10FeedFormatter.cs, Atom10ItemFormatter.cs,
	  Rss20FeedFormatter.cs, Rss20ItemFormatter.cs :
	  implemented instance creation. Some parameter renaming.

2007-12-17  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20FeedFormatter.cs : s:/item/feed/ in the error message.
	* Atom10FeedFormatter.cs : implemented WriteTo() and WriteXml().

2007-12-17  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs : some more notes on its spec violation.

2007-12-17  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20ItemFormatter.cs : enclose SourceFeed with <source>.
	* Atom10ItemFormatter.cs : implemented WriteTo() and WriteXml().

2007-12-15  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20ItemFormatter.cs : some parameter renaming.
	* SyndicationFeedFormatter.cs, Rss20FeedFormatter.cs : implemented,
	  based on item formatter.
	* SyndicationItemFormatter.cs : implemented syndication element
	  creation methods. Added null argument checks.

2007-12-15  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20ItemFormatter.cs : write remaining properties in item.
	* UrlSyndicationContent.cs : implemented.
	* XmlSyndicationContent.cs, SyndicationContent.cs,
	  SyndicationElementExtensionCollection.cs : mostly implemented; now
	  I mostly found that those unimplemented stuff were bound to
	  SyndicationElementExtension constructors.

2007-12-15  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationFeed.cs : do not try to set null items in .ctor() (null
	  items are allowed in .ctor, while not allowed in set_Items()).
	  Remove extra NotImplementedException.
	  Implemented WriteAttributeExtensions and WriteElementExtensions.
	* SyndicationElementExtension.cs : implemented.
	* SyndicationExtensions.cs,
	  SyndicationItem.cs, SyndicationLink.cs, SyndicationCategory.cs,
	  SyndicationPerson.cs : Implemented WriteAttributeExtensions() and
	  WriteElementExtensions() in each syndication element to call 
	  corresponding method in SyndicationExtensions.
	* SyndicationItemFormatter.cs :
	  implemented Write[Element/Attribute]Extensions() and
	  TryParse[Element/Attribute]().
	* Rss20ItemFormatter.cs : write extensions on writing to xml.
	  Null check in Contributors on writing to xml.

2007-12-11  Atsushi Enomoto  <atsushi@ximian.com>

	* Rss20ItemFormatter.cs, SyndicationContent.cs,
	  TextSyndicationContent.cs : flush some more implementation.

2007-12-10  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs, Rss20ItemFormatter.cs,
	  SyndicationCategory.cs, SyndicationContent.cs, SyndicationFeed.cs,
	  SyndicationItem.cs, SyndicationItemFormatter.cs,
	  SyndicationPerson.cs : a bunch of implementation.

2007-12-10  Atsushi Enomoto  <atsushi@ximian.com>

	* SyndicationElementExtensionCollection.cs : added copy .ctor().
	* SyndicationLink.cs : implemented everything but read/write part.

2007-12-10  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10FeedFormatter.cs Atom10FeedFormatter_1.cs
	  Atom10ItemFormatter.cs Atom10ItemFormatter_1.cs
	  Rss20FeedFormatter.cs Rss20FeedFormatter_1.cs
	  Rss20ItemFormatter.cs Rss20ItemFormatter_1.cs
	  SyndicationCategory.cs SyndicationElementExtension.cs
	  SyndicationElementExtensionCollection.cs SyndicationFeed.cs
	  SyndicationItem.cs SyndicationLink.cs SyndicationPerson.cs:
	  finished stubs.
	* ISyndicationElement.cs : internal interface, introduced to reduce
	  corcompare obstacles.

2007-12-07  Atsushi Enomoto  <atsushi@ximian.com>

	* Atom10ItemFormatter.cs, Atom10ItemFormatter_1.cs,
	  Rss20ItemFormatter.cs, Rss20ItemFormatter_1.cs,
	  SyndicationItemFormatter.cs : more new stubs.
	* SyndicationFeedFormatter.cs, SyndicationItem.cs,
	  SyndicationLink.cs, SyndicationPerson.cs : more stub fixes.

2007-12-07  Atsushi Enomoto  <atsushi@ximian.com>

	* TextSyndicationContent.cs, XmlSyndicationContent.cs,
	  UrlSyndicationContent.cs : new stubs.
	* SyndicationContent.cs, TextSyndicationContentKind.cs,
	  SyndicationFeedFormatter.cs, SyndicationFeed.cs :
	  ongoing stub fixes.

2007-12-07  Atsushi Enomoto  <atsushi@ximian.com>

	* Ato10FeedFormatter.cs Atom10FeedFormatter.cs :
	  oops, wrong file name. renamed former to latter.

2007-12-05  Atsushi Enomoto  <atsushi@ximian.com>

	* Ato10FeedFormatter.cs Atom10FeedFormatter_1.cs
	  Rss20FeedFormatter.cs Rss20FeedFormatter_1.cs
	  SyndicationCategory.cs SyndicationContent.cs
	  SyndicationElementExtension.cs
	  SyndicationElementExtensionCollection.cs
	  SyndicationFeed.cs SyndicationFeedFormatter.cs
	  SyndicationItem.cs SyndicationLink.cs SyndicationPerson.cs
	  SyndicationVersions.cs TextSyndicationContentKind.cs :
	  new stubs.

